/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for DICOMDevices
 */
public enum EnumCV_DICOMDevices 
{
	//CID 30 DICOM Devices
	ARCHIVE_ARCHIVE("ARCHIVE"),
	COMPUTATION_SERVER_COMP("COMP"),
	COMPUTER_ASSISTED_DETECTION_DIAGNOSIS_CAD ("CAD"),
	DEPARTMENT_SYSTEM_SCHEDULER_DSS ("DSS"),
	FILM_DIGITIZER_FILMD  ("FILMD"),
	MEDIA_CREATION_DEVICE_MCD ("MCD "),
	HARD_COPY_PRINT_SERVER_PRINT("PRINT"),
	IMAGE_CAPTURE_CAPTURE("CAPTURE"),
	PROCEDURE_LOGGING_LOG ("LOG"),
	RADIATION_THERAPY_DEVICE_RT("RT"),
	WORKSTATION_WSD("WSD");

	private String value;

	EnumCV_DICOMDevices(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return("" returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
